%define		pname interworx-bin
%define		pversion 2.0.7
%define 	bversion 7
%define		rpmrelease iworx
%define		iworxdir /home/interworx

%define 	debug_package %{nil}

%define         oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define         ostype RedHat Enterprise %{?rhel}.x
%endif

%if 0%{?rhel} >= 8
%define         ostype Almalinux %{?rhel}.x
%endif

%define		ccflags %{optflags}
%define		ldflags %{optflags}

%define	release %{bversion}.%{oscode}.%{rpmrelease}

############### RPM ################################

Summary:	Required Interworx architecture specific binaries
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	distributable

Group:		Applications/Internet
Source0:	%{pname}-%{version}.tar.gz

URL:		http://www.interworx.com

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C.
Packager:	Paul Oehler <poehler@interworx.com>

BuildRequires:	gcc
Requires:	interworx

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Includes binaries for fileman, setvacation, check-seesion.
This package is required.

%prep

[ -n %{buildroot} ] && rm -rf %{buildroot}

[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%setup -q -n %{pname}-%{version}

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033mgcc"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

export CC="gcc %{ccflags}"

%build

%{__make} %{?_smp_mflags}

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: interworx-bin package removal request denied.  If you wish to remove Interworx, please do a fresh OS install."
   echo
   exit 1
fi

%post
chgrp iworx-horde %{iworxdir}/lib/horde/setvacation >/dev/null 2>&1
chmod 04750 %{iworxdir}/lib/horde/setvacation || :

%install

mkdir -p %{buildroot}%{iworxdir}/lib/horde \
	 %{buildroot}%{iworxdir}/lib/fileman \
	 %{buildroot}%{iworxdir}/siteworx/html/cgi-bin \
  	 %{buildroot}%{iworxdir}/lib/autorespond \
	 %{buildroot}%{iworxdir}/bin

install -m04750 setvacation %{buildroot}%{iworxdir}/lib/horde
install -m04750 check-session %{buildroot}%{iworxdir}/lib/fileman
install -m04755 fileman %{buildroot}%{iworxdir}/siteworx/html/cgi-bin
install -m0700 repgrace %{buildroot}%{iworxdir}/bin
install -m0700 iw-bw-logger %{buildroot}%{iworxdir}/bin

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%files
%defattr(-,root,root)

%attr(04750,root,root) %{iworxdir}/lib/horde/setvacation
%attr(04750,root,iworx-web) %{iworxdir}/lib/fileman/check-session
%attr(04755,root,root) %{iworxdir}/siteworx/html/cgi-bin/fileman
%attr(0700,iworx,iworx) %{iworxdir}/bin/repgrace
%attr(0700,root,root) %{iworxdir}/bin/iw-bw-logger

%changelog
* Mon Dec 13 2021 Tim College <tcollege@interworx.com>
- Remove ancient dynamic gcc resolution (always resulted in just 'gcc')
* Thu Dec 9 2021 Tim College <tcollege@interworx.com>
- Restructure for Almalinux
* Wed May 8 2019 Paul Oehler <poehler@interworx.com>
- Removed autorespond.c.  Now using qmail-autoresponder elsewhere.
* Wed Nov 8 2017 Paul Oehler <poehler@interworx.com>
- Added iw-bw-logger
* Tue Nov 17 2015 Paul Oehler <poehler@interworx.com>
- Changed autorespond.c message id to include generic valid hostname
* Thu Nov 12 2015 Paul Oehler <poehler@interworx.com>
- Added repgrace tool for reporting accurate partition quota grace times
* Tue Aug 26 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Sat Mar 09 2013 Matt Parmelee <mparmelee@interworx.com>
- Modified Fileman constants for new version.
* Wed Feb 06 2013 Matt Parmelee <mparmelee@interworx.com>
- Fixed dropping of non-autoresponded messages.
* Fri Oct 01 2010 Paul Oehler <poehler@interworx.com>
- Initial packaging

